"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const nodepath = require("path");
class Config {
    constructor(srcDir, destDir, cacheDir, rootURL = '/') {
        this.srcDir = srcDir;
        this.destDir = destDir;
        this.cacheDir = cacheDir;
        this.rootURL = rootURL;
        this.forceWrite = false;
        this.validateParameter(srcDir, 'srcDir');
        this.validateParameter(destDir, 'destDir');
        this.srcDir = nodepath.resolve(this.srcDir);
        this.destDir = nodepath.resolve(this.destDir);
        this.cacheDir = nodepath.resolve(this.cacheDir);
    }
    validateParameter(value, name) {
        if (!value) {
            throw new Error(`${name} cannot be empty`);
        }
    }
}
exports.default = Config;
//# sourceMappingURL=config.js.map