import ContentGenerator from '../contentGenerator';
import Config from '../config';
import { State } from './state';
import TitleManager from './managers/titleManager';
import MarkdownManager from './managers/markdownManager';
import PathManager from './managers/pathManager';
import SeoTitleManager from './managers/seoTitleManager';
import PathBarManager from './managers/pathBarManager';
import FileListManager from './managers/fileListManager';
import FsWalkManager from './managers/fsWalkManager';
import PathInfoManager from './managers/pathInfoManager';
import CopyManager from './managers/copyManager';
export declare class Processor {
    config: Config;
    contentGenerator: ContentGenerator;
    titleManager: TitleManager;
    markdownManager: MarkdownManager;
    pathManager: PathManager;
    seoTitleManager: SeoTitleManager;
    pathBarManager: PathBarManager;
    pathInfoManager: PathInfoManager;
    fileListManager: FileListManager;
    fsWalkManager: FsWalkManager;
    copyManager: CopyManager;
    state: State;
    constructor(config: Config, contentGenerator: ContentGenerator);
    startFromFile(relFile: string): Promise<void>;
    private processMdFile(relFile);
    private processJsonFile(relFile);
}
