"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const mfs = require("m-fs");
class CopyManager {
    constructor(pathManager) {
        this.pathManager = pathManager;
    }
    copyFileAsync(relFile) {
        return __awaiter(this, void 0, void 0, function* () {
            const src = this.pathManager.srcPath(relFile);
            const dest = this.pathManager.destPath(relFile);
            const content = yield mfs.readTextFileAsync(src);
            yield mfs.writeFileAsync(dest, content);
        });
    }
}
exports.default = CopyManager;
//# sourceMappingURL=copyManager.js.map