"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const mfs = require("m-fs");
const nodepath = require("path");
const mm = require("micromatch");
class FsWalkManager {
    constructor(pathManager) {
        this.pathManager = pathManager;
    }
    listSubFilesAsync(relDir) {
        return __awaiter(this, void 0, void 0, function* () {
            const srcDir = this.pathManager.srcPath(relDir);
            return (yield mfs.listSubFiles(srcDir)).filter((file) => {
                return mm.isMatch(file, '*.md');
            }).map((file) => {
                return nodepath.join(relDir, file);
            });
        });
    }
    listSubDirsAsync(relDir) {
        return __awaiter(this, void 0, void 0, function* () {
            const srcDir = this.pathManager.srcPath(relDir);
            return yield mfs.listSubDirs(srcDir).then((res) => {
                return res.map((name) => nodepath.join(relDir, name));
            });
        });
    }
    isLeafDirAsync(relDir) {
        return __awaiter(this, void 0, void 0, function* () {
            const srcDir = this.pathManager.srcPath(relDir);
            const subDirs = yield mfs.listSubDirs(srcDir);
            return subDirs.length === 0;
        });
    }
}
exports.default = FsWalkManager;
//# sourceMappingURL=fsWalkManager.js.map