"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const defs_1 = require("../../defs");
const node_rename_path_1 = require("node-rename-path");
const mfs = require("m-fs");
const Markdown = require('markdown-it-coldmark');
const coldmark = new Markdown('coldmark');
class MarkdownManager {
    constructor(pathManager) {
        this.pathManager = pathManager;
    }
    convertFileAsync(relFile) {
        return __awaiter(this, void 0, void 0, function* () {
            const content = yield mfs.readTextFileAsync(this.pathManager.srcPath(relFile));
            const html = this.convert(content);
            const htmlFile = this.rename(this.pathManager.destPath(relFile));
            yield mfs.writeFileAsync(htmlFile, html);
        });
    }
    convert(content) {
        return coldmark.render(content);
    }
    rename(file) {
        return node_rename_path_1.default(file, (_) => {
            return { ext: defs_1.default.dest.contentExt };
        });
    }
}
exports.default = MarkdownManager;
//# sourceMappingURL=markdownManager.js.map