"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const nodepath = require("path");
class PathManager {
    constructor(config) {
        this.config = config;
    }
    srcPath(relFile) {
        return nodepath.join(this.config.srcDir, relFile);
    }
    destPath(relFile) {
        return nodepath.join(this.config.destDir, relFile);
    }
    joinedSrcPath(path1, path2) {
        return nodepath.join(this.srcPath(path1), path2);
    }
    joinedDestPath(path1, path2) {
        return nodepath.join(this.destPath(path1), path2);
    }
    basePath(relPath) {
        if (!relPath || relPath === '.') {
            return '';
        }
        return nodepath.dirname(relPath);
    }
    url(url) {
        return nodepath.join(this.config.rootURL, url);
    }
    name(path) {
        return nodepath.basename(path);
    }
    nameWithoutExt(path) {
        return nodepath.parse(path).name;
    }
}
exports.default = PathManager;
//# sourceMappingURL=pathManager.js.map