import { State, SeoTitleData } from '../state';
import TitleManager from './titleManager';
import PathManager from './pathManager';
import { Result } from './common';
import Config from '../../config';
export default class SeoTitleManager {
    config: Config;
    state: State;
    titleManager: TitleManager;
    pathManager: PathManager;
    constructor(config: Config, state: State, titleManager: TitleManager, pathManager: PathManager);
    updateCalculatedTitle(relFile: string): Promise<Result<SeoTitleData>>;
    private updateSeoTitleForDir(relDir);
    private writeFileTitleFile(relFile, title);
    private writeDirTitleFile(relDir, title);
    private getCalculatedTitle(title, seoTitle);
}
