"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const nodepath = require("path");
const escapeHTML = require('escape-html');
class PathInfo {
    static newInfo(name, title, parent) {
        const ret = new PathInfo(name, title);
        ret.url = nodepath.join(parent.url, ret.escapedURIName);
        return ret;
    }
    static newRootInfo(rootURL) {
        const ret = new PathInfo('', '');
        ret.url = rootURL;
        return ret;
    }
    constructor(name, title) {
        this.unescapedURIName = name;
        this.escapedURIName = encodeURIComponent(name);
        this.unescapedURIName = title;
        this.escapedTitle = escapeHTML(title);
    }
}
exports.default = PathInfo;
//# sourceMappingURL=pathInfo.js.map