"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const nodepath = require("path");
const fx43_1 = require("fx43");
const core = require("./core/core");
const bluebird = require("bluebird");
function startAsync(config, generator) {
    return __awaiter(this, void 0, void 0, function* () {
        if (!config) {
            throw new Error('config cannot be empty');
        }
        if (!generator) {
            throw new Error('generator cannot be empty');
        }
        let { srcDir, destDir, cacheDir } = config;
        const logger = config.logger;
        srcDir = nodepath.resolve(srcDir);
        destDir = nodepath.resolve(destDir);
        cacheDir = nodepath.resolve(cacheDir);
        if (logger) {
            logger.logInfo('main-started', {
                srcDir, destDir, cacheDir,
            });
        }
        const processor = new core.Processor(config, generator);
        const files = yield fx43_1.startCustomModeAsync(srcDir, cacheDir, config.forceWrite, (fileName) => {
            return /.*\.(md|json)$/i.test(fileName) && !fileName.startsWith('.');
        }, (dirName) => {
            return !dirName.startsWith('.');
        });
        if (logger) {
            logger.logInfo('changed-files', {
                files,
            });
        }
        return yield bluebird.mapSeries(files, (relFile) => {
            return processor.startFromFile(relFile);
        });
    });
}
exports.startAsync = startAsync;
//# sourceMappingURL=start.js.map